package com.tutego.insel.object.clone;

public class Player extends Object implements Cloneable
{
  public String name;
  public int    age;

  @Override
  public Player clone()
  {
    try
    {
      return (Player) super.clone();
    }
    catch ( CloneNotSupportedException e ) {
      // this shouldn't happen, since we are Cloneable
      throw new InternalError();
    }
  }
}
